This is order-api documentation which covers all actions availble on order object via api invocations.
Girteka Orders API (1.0)
Request
Returns the the all data for the specific order ID. The order dara is returned only in case authorisation allows the api consumer to access the data
- Mock serverhttps://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}
- Testing environmenthttps://test-api.girteka.eu/orders/v1/orders/{id}
- Production environmenthttps://api.girteka.eu/orders/v1/orders/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Latest metadata entry
System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID
Girteka Internal unique identifier of the order. This is Girteka SAP ID
Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id.
System Unique identifier of the Order entry within customer systems.
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "order_id": "ORD123456789", "customer_order_id": "CUST987654321", "customer_system_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "In Transit", "customer": { "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "My Best Company, UAB", "customer_vat": "LT123456789", "address": { … } }, "support_organisation": { "phone": "000000000000", "email": "info@girteka.eu", "customer_care_id": "15" }, "cargo": { "description": "Motocyrcles", "weightKg": "600", "volumeM3": "60" }, "order_stages": [ { … } ], "tracking": [ { … } ], "temperatures": { "temperature_setting": "25.5", "temperature_data": [ … ] } }
Request
Returns all temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data
- Mock serverhttps://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures
- Testing environmenthttps://test-api.girteka.eu/orders/v1/orders/{id}/temperatures
- Production environmenthttps://api.girteka.eu/orders/v1/orders/{id}/temperatures
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'[ { "temperature_trailer": "25.5", "timestamp": "2025-05-06T14:30:00Z" } ]
Request
Returns latest temperature readings assiciated with specific order. The temperature dara is returned only in case authorisation allows the api consumer to access the data
- Mock serverhttps://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures/latest
- Testing environmenthttps://test-api.girteka.eu/orders/v1/orders/{id}/temperatures/latest
- Production environmenthttps://api.girteka.eu/orders/v1/orders/{id}/temperatures/latest
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api-docs.girteka.eu/_mock/orders-api/api/orders/{id}/temperatures/latest' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "temperature_trailer": "25.5", "timestamp": "2025-05-06T14:30:00Z" }
Request
This is an implementation of orders data update when order data object is provided in the body. The same can be implemented either with POST method to specific order /orders/{id}. For Higfh volumes updates it is highly recomend to implement updates via messaging. Please contact order-api@girteka.eu to get access to messaging queue. Please note, that security validation is applied to check if you have rights to update specific order data
- Mock serverhttps://api-docs.girteka.eu/_mock/orders-api/api/orders
- Testing environmenthttps://test-api.girteka.eu/orders/v1/orders
- Production environmenthttps://api.girteka.eu/orders/v1/orders
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api-docs.girteka.eu/_mock/orders-api/api/orders \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Latest metadata entry
System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID
Girteka Internal unique identifier of the order. This is Girteka SAP ID
Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id.
System Unique identifier of the Order entry within customer systems.
{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "order_id": "ORD123456789", "customer_order_id": "CUST987654321", "customer_system_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "In Transit", "customer": { "customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "name": "My Best Company, UAB", "customer_vat": "LT123456789", "address": { … } }, "support_organisation": { "phone": "000000000000", "email": "info@girteka.eu", "customer_care_id": "15" }, "cargo": { "description": "Motocyrcles", "weightKg": "600", "volumeM3": "60" }, "order_stages": [ { … } ], "tracking": [ { … } ], "temperatures": { "temperature_setting": "25.5", "temperature_data": [ … ] } }
Request
Returns all data or requested objects associated with the order. the search is performed only on the scope of the orders allowed for the api-consumer
- Mock serverhttps://api-docs.girteka.eu/_mock/orders-api/api/orders
- Testing environmenthttps://test-api.girteka.eu/orders/v1/orders
- Production environmenthttps://api.girteka.eu/orders/v1/orders
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api-docs.girteka.eu/_mock/orders-api/api/orders?trailer_plate_id=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Temperature readings sorted by tampstamp
System Unique identifier of the Order entry. ID is created during order creation and represents Girteka systems uniq ID
Girteka Internal unique identifier of the order. This is Girteka SAP ID
Order ID provided by the Customer. In an situtation when customer does not provide customer id in order reques, this field is the same as Girteka order_id.
System Unique identifier of the Order entry within customer systems.
[ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "order_id": "ORD123456789", "customer_order_id": "CUST987654321", "customer_system_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "status": "In Transit", "customer": { … }, "support_organisation": { … }, "cargo": { … }, "order_stages": { … }, "tracking": { … }, "temperatures": { … } } ]